
QGIS Application - Bug report #13981

Error while updating QGIS

2015-12-13 07:29 AM - dr -

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 21995

Description

Trying to update QGIS master and get an error:

Setting up qgis-providers-common (1:2.13.0+git20151213+666eda6+20trusty-ubuntugis) ...

cp: cannot stat ‘/usr/share/qgis/resources/srs-template.db’: No such file or directory

No apport report written because the error message indicates its a followup error from a previous failure.

                                                                                                          No apport report written because the error message indicates its a

followup error from a previous failure.

                                                                                                                                                                                                                    No

apport report written because MaxReports is reached already

                                          No apport report written because MaxReports is reached already

                                                                                                        dpkg: error processing package qgis-providers-common

(--configure):

 subprocess installed post-installation script returned error exit status 1

dpkg: dependency problems prevent configuration of qgis-providers:

 qgis-providers depends on qgis-providers-common (= 1:2.13.0+git20151213+666eda6+20trusty-ubuntugis); however:

  Package qgis-providers-common is not configured yet.

dpkg: error processing package qgis-providers (--configure):

 dependency problems - leaving unconfigured

dpkg: dependency problems prevent configuration of qgis:

 qgis depends on qgis-providers (= 1:2.13.0+git20151213+666eda6+20trusty-ubuntugis); however:

  Package qgis-providers is not configured yet.

dpkg: error processing package qgis (--configure):

 dependency problems - leaving unconfigured

dpkg: dependency problems prevent configuration of qgis-plugin-globe:

 qgis-plugin-globe depends on qgis (= 1:2.13.0+git20151213+666eda6+20trusty-ubuntugis); however:

  Package qgis is not configured yet.

dpkg: error processing package qgis-plugin-globe (--configure):

 dependency problems - leaving unconfigured

dpkg: dependency problems prevent configuration of qgis-plugin-grass:

 qgis-plugin-grass depends on qgis (= 1:2.13.0+git20151213+666eda6+20trusty-ubuntugis); however:

  Package qgis is not configured yet.

dpkg: error processing package qgis-plugin-grass (--configure):

 dependency problems - leaving unconfigured

E: Sub-process /usr/bin/dpkg returned an error code (1)
Associated revisions

Revision 24a61ff4 - 2015-12-14 11:47 PM - Jürgen Fischer

debian packaging update (partly reverts 245659f; fixes #13981)

Revision deb34b8e - 2015-12-14 11:48 PM - Jürgen Fischer

debian packaging update (partly reverts 245659f; fixes #13981)

(cherry picked from commit 24a61ff48d16309d4a43fe5e12d7e110984f2655)

Revision 002e2335 - 2015-12-14 11:48 PM - Jürgen Fischer

debian packaging update (partly reverts 245659f; fixes #13981)

(cherry picked from commit 24a61ff48d16309d4a43fe5e12d7e110984f2655)

History

#1 - 2015-12-14 02:49 PM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"002e2335e4cd9f1f4d69ffa3cef1a9145f6b12e1".
